%define name ntop
%define fname ntop
%define version 1.3.1
%define release 1mdk

Summary: a network usage tool
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: %{fname}-%{version}.tar.bz2
Patch1: %{fname}-configure.patch.bz2
Patch2: %{fname}-path.patch.bz2
URL: http://www.ntop.org
Group: Monitoring
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{fname}-%{version}-root
BuildRequires: libpcap, gdbm-devel, readline-devel, tcp_wrappers, ncurses-devel

%description
ntop is a tool that shows the network usage, similar to what the
popular top Unix command does.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .config
%patch2 -p1 -b .path

%build
CFLAGS="$RPM_OPT_FLAGS -fexceptions" CXXFLAGS="$RPM_OPT_FLAGS -fexceptions" \
	./autogen.sh --enable-tcpwrap --disable-ssl --prefix=%{prefix} --sysconfdir=%{prefix}/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,lib,man/{man1,man8}}
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/%{fname}
make install prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{prefix}/lib
mv -f $RPM_BUILD_ROOT/%{prefix}/bin/ntop-cert.pem $RPM_BUILD_ROOT/%{prefix}/lib/%{fname}
mv -f $RPM_BUILD_ROOT/%{prefix}/bin/plugins $RPM_BUILD_ROOT/%{prefix}/lib/%{fname}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog FAQ HACKING KNOWN_BUGS MANIFESTO
%{prefix}/bin/*
%{prefix}/man/*/*
%{prefix}/lib/*

%changelog
* Thu Aug 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-1mdk
- initial release.
